# Class McpAsyncToolset.Builder

java.lang.Object
com.google.adk.tools.mcp.McpAsyncToolset.Builder

Enclosing class:
  `McpAsyncToolset`

public static class McpAsyncToolset.Builder extends Object
Builder for McpAsyncToolset

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `McpAsyncToolset`
  `build()`
  `McpAsyncToolset.Builder`
  `connectionParams(SseServerParameters connectionParams)`
  `McpAsyncToolset.Builder`
  `connectionParams(io.modelcontextprotocol.client.transport.ServerParameters connectionParams)`
  `McpAsyncToolset.Builder`
  `mcpSessionManager(McpSessionManager mcpSessionManager)`
  `McpAsyncToolset.Builder`
  `objectMapper(com.fasterxml.jackson.databind.ObjectMapper objectMapper)`
  `McpAsyncToolset.Builder`
  `toolFilter(@Nullable ToolPredicate toolPredicate)`
  `McpAsyncToolset.Builder`
  `toolFilter(List<String> toolNames)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### connectionParams

    @CanIgnoreReturnValue public McpAsyncToolset.Builder connectionParams(io.modelcontextprotocol.client.transport.ServerParameters connectionParams)

  - ### connectionParams

    @CanIgnoreReturnValue public McpAsyncToolset.Builder connectionParams(SseServerParameters connectionParams)

  - ### mcpSessionManager

    @CanIgnoreReturnValue public McpAsyncToolset.Builder mcpSessionManager(McpSessionManager mcpSessionManager)

  - ### objectMapper

    @CanIgnoreReturnValue public McpAsyncToolset.Builder objectMapper(com.fasterxml.jackson.databind.ObjectMapper objectMapper)

  - ### toolFilter

    @CanIgnoreReturnValue public McpAsyncToolset.Builder toolFilter(List<String> toolNames)

  - ### toolFilter

    @CanIgnoreReturnValue public McpAsyncToolset.Builder toolFilter(@Nullable ToolPredicate toolPredicate)

  - ### build

    public McpAsyncToolset build()